from setuptools import setup

setup(name='fleet-pipe',
      version='1.0.0',
      description='Finding Luminous and Exotic Extragalactic Transients',
      url='https://github.com/gmzsebastian/FLEET',
      author=['Sebastian Gomez'],
      author_email="sgomez@cfa.harvard.edu",
      license='GNU GPL 3.0',
      packages=['FLEET'],
      package_data={'FLEET': ['training_set/*.txt', 'classification_catalog.dat']},
      include_package_data=True,
      install_requires=[
        'numpy',
        'astroquery',
        'dustmaps',
        'bs4',
        'ephem',
        'datetime',
        'astral',
        'PyAstronomy',
        'Pillow',
        'matplotlib',
        'lmfit',
        'extinction',
        'pandas',
        'python-dateutil',
        'astropy',
        'pathlib',
        'requests',
        'scipy',
        'emcee'
      ],
      test_suite='nose.collector',
      zip_safe = False)
